Custom data
Search Custom Table
Find rows by meaning, by words, or both — the same call agent tools make.
The query is embedded here. If that does not finish in time, a hybrid
search answers by keyword and says so in mode_used; a semantic search
returns 503, because the caller asked for something that cannot be done.
POST
/
core
/
custom-data
/
tables
/
{name}
/
search
Search Custom Table
curl --request POST \
--url https://api.anyreach.ai/core/custom-data/tables/{name}/search \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"mode": "hybrid",
"filters": [
{
"property": "<string>",
"op": "eq",
"value": "<unknown>"
}
],
"limit": 5
}
'import requests
url = "https://api.anyreach.ai/core/custom-data/tables/{name}/search"
payload = {
"query": "<string>",
"mode": "hybrid",
"filters": [
{
"property": "<string>",
"op": "eq",
"value": "<unknown>"
}
],
"limit": 5
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
mode: 'hybrid',
filters: [{property: '<string>', op: 'eq', value: '<unknown>'}],
limit: 5
})
};
fetch('https://api.anyreach.ai/core/custom-data/tables/{name}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/core/custom-data/tables/{name}/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'mode' => 'hybrid',
'filters' => [
[
'property' => '<string>',
'op' => 'eq',
'value' => '<unknown>'
]
],
'limit' => 5
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/core/custom-data/tables/{name}/search"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"mode\": \"hybrid\",\n \"filters\": [\n {\n \"property\": \"<string>\",\n \"op\": \"eq\",\n \"value\": \"<unknown>\"\n }\n ],\n \"limit\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.anyreach.ai/core/custom-data/tables/{name}/search")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"mode\": \"hybrid\",\n \"filters\": [\n {\n \"property\": \"<string>\",\n \"op\": \"eq\",\n \"value\": \"<unknown>\"\n }\n ],\n \"limit\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/core/custom-data/tables/{name}/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"mode\": \"hybrid\",\n \"filters\": [\n {\n \"property\": \"<string>\",\n \"op\": \"eq\",\n \"value\": \"<unknown>\"\n }\n ],\n \"limit\": 5\n}"
response = http.request(request)
puts response.read_body{
"count": 1,
"mode_used": "hybrid",
"matches": [
{
"score": 1,
"record": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Headers
Organization ID for user PATs (pat_ prefix tokens)
Path Parameters
Body
application/json
Find rows by meaning, by words, or both.
Filters use the same vocabulary as a query and narrow both arms before anything is ranked.
What to look for, in natural language.
Required string length:
1 - 2000hybrid ranks by meaning and by words together; semantic by meaning only; keyword by words only.
Available options:
hybrid, semantic, keyword Show child attributes
Show child attributes
Required range:
1 <= x <= 50⌘I
Search Custom Table
curl --request POST \
--url https://api.anyreach.ai/core/custom-data/tables/{name}/search \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"mode": "hybrid",
"filters": [
{
"property": "<string>",
"op": "eq",
"value": "<unknown>"
}
],
"limit": 5
}
'import requests
url = "https://api.anyreach.ai/core/custom-data/tables/{name}/search"
payload = {
"query": "<string>",
"mode": "hybrid",
"filters": [
{
"property": "<string>",
"op": "eq",
"value": "<unknown>"
}
],
"limit": 5
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
mode: 'hybrid',
filters: [{property: '<string>', op: 'eq', value: '<unknown>'}],
limit: 5
})
};
fetch('https://api.anyreach.ai/core/custom-data/tables/{name}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anyreach.ai/core/custom-data/tables/{name}/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'query' => '<string>',
'mode' => 'hybrid',
'filters' => [
[
'property' => '<string>',
'op' => 'eq',
'value' => '<unknown>'
]
],
'limit' => 5
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.anyreach.ai/core/custom-data/tables/{name}/search"
payload := strings.NewReader("{\n \"query\": \"<string>\",\n \"mode\": \"hybrid\",\n \"filters\": [\n {\n \"property\": \"<string>\",\n \"op\": \"eq\",\n \"value\": \"<unknown>\"\n }\n ],\n \"limit\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.anyreach.ai/core/custom-data/tables/{name}/search")
.header("Content-Type", "application/json")
.body("{\n \"query\": \"<string>\",\n \"mode\": \"hybrid\",\n \"filters\": [\n {\n \"property\": \"<string>\",\n \"op\": \"eq\",\n \"value\": \"<unknown>\"\n }\n ],\n \"limit\": 5\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anyreach.ai/core/custom-data/tables/{name}/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"query\": \"<string>\",\n \"mode\": \"hybrid\",\n \"filters\": [\n {\n \"property\": \"<string>\",\n \"op\": \"eq\",\n \"value\": \"<unknown>\"\n }\n ],\n \"limit\": 5\n}"
response = http.request(request)
puts response.read_body{
"count": 1,
"mode_used": "hybrid",
"matches": [
{
"score": 1,
"record": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}
